/[svn]/ircd-hybrid/branches/8.2.x/libltdl/Makefile.in
ViewVC logotype

Contents of /ircd-hybrid/branches/8.2.x/libltdl/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 7107 - (show annotations)
Sat Jan 23 20:17:49 2016 UTC (7 years ago) by michael
File size: 46942 byte(s)
- autoreconf

1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #####
18
19
20 VPATH = @srcdir@
21 am__is_gnu_make = { \
22 if test -z '$(MAKELEVEL)'; then \
23 false; \
24 elif test -n '$(MAKE_HOST)'; then \
25 true; \
26 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
27 true; \
28 else \
29 false; \
30 fi; \
31 }
32 am__make_running_with_option = \
33 case $${target_option-} in \
34 ?) ;; \
35 *) echo "am__make_running_with_option: internal error: invalid" \
36 "target option '$${target_option-}' specified" >&2; \
37 exit 1;; \
38 esac; \
39 has_opt=no; \
40 sane_makeflags=$$MAKEFLAGS; \
41 if $(am__is_gnu_make); then \
42 sane_makeflags=$$MFLAGS; \
43 else \
44 case $$MAKEFLAGS in \
45 *\\[\ \ ]*) \
46 bs=\\; \
47 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
48 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
49 esac; \
50 fi; \
51 skip_next=no; \
52 strip_trailopt () \
53 { \
54 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
55 }; \
56 for flg in $$sane_makeflags; do \
57 test $$skip_next = yes && { skip_next=no; continue; }; \
58 case $$flg in \
59 *=*|--*) continue;; \
60 -*I) strip_trailopt 'I'; skip_next=yes;; \
61 -*I?*) strip_trailopt 'I';; \
62 -*O) strip_trailopt 'O'; skip_next=yes;; \
63 -*O?*) strip_trailopt 'O';; \
64 -*l) strip_trailopt 'l'; skip_next=yes;; \
65 -*l?*) strip_trailopt 'l';; \
66 -[dEDm]) skip_next=yes;; \
67 -[JT]) skip_next=yes;; \
68 esac; \
69 case $$flg in \
70 *$$target_option*) has_opt=yes; break;; \
71 esac; \
72 done; \
73 test $$has_opt = yes
74 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
75 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
76 pkgdatadir = $(datadir)/@PACKAGE@
77 pkgincludedir = $(includedir)/@PACKAGE@
78 pkglibdir = $(libdir)/@PACKAGE@
79 pkglibexecdir = $(libexecdir)/@PACKAGE@
80 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
81 install_sh_DATA = $(install_sh) -c -m 644
82 install_sh_PROGRAM = $(install_sh) -c
83 install_sh_SCRIPT = $(install_sh) -c
84 INSTALL_HEADER = $(INSTALL_DATA)
85 transform = $(program_transform_name)
86 NORMAL_INSTALL = :
87 PRE_INSTALL = :
88 POST_INSTALL = :
89 NORMAL_UNINSTALL = :
90 PRE_UNINSTALL = :
91 POST_UNINSTALL = :
92 build_triplet = @build@
93 host_triplet = @host@
94 @INSTALL_LTDL_TRUE@am__append_1 = ltdl.h
95 @INSTALL_LTDL_TRUE@am__append_2 = libltdl.la
96 @CONVENIENCE_LTDL_TRUE@am__append_3 = libltdlc.la
97 subdir = libltdl
98 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
99 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_define_dir.m4 \
100 $(top_srcdir)/m4/ax_append_compile_flags.m4 \
101 $(top_srcdir)/m4/ax_append_flag.m4 \
102 $(top_srcdir)/m4/ax_arg_enable_assert.m4 \
103 $(top_srcdir)/m4/ax_arg_enable_debugging.m4 \
104 $(top_srcdir)/m4/ax_arg_enable_warnings.m4 \
105 $(top_srcdir)/m4/ax_arg_gnutls.m4 \
106 $(top_srcdir)/m4/ax_arg_ioloop_mechanism.m4 \
107 $(top_srcdir)/m4/ax_arg_libgeoip.m4 \
108 $(top_srcdir)/m4/ax_arg_openssl.m4 \
109 $(top_srcdir)/m4/ax_check_compile_flag.m4 \
110 $(top_srcdir)/m4/ax_library_net.m4 \
111 $(top_srcdir)/m4/ax_mempool_chunksizes.m4 \
112 $(top_srcdir)/m4/ax_require_defined.m4 \
113 $(top_srcdir)/m4/gcc_stack_protect.m4 \
114 $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltargz.m4 \
115 $(top_srcdir)/m4/ltdl.m4 $(top_srcdir)/m4/ltoptions.m4 \
116 $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
117 $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
118 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
119 $(ACLOCAL_M4)
120 DIST_COMMON = $(srcdir)/Makefile.am $(am__include_HEADERS_DIST) \
121 $(am__ltdlinclude_HEADERS_DIST) $(am__DIST_COMMON)
122 mkinstalldirs = $(install_sh) -d
123 CONFIG_HEADER = $(top_builddir)/config.h
124 CONFIG_CLEAN_FILES =
125 CONFIG_CLEAN_VPATH_FILES =
126 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
127 am__vpath_adj = case $$p in \
128 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
129 *) f=$$p;; \
130 esac;
131 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
132 am__install_max = 40
133 am__nobase_strip_setup = \
134 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
135 am__nobase_strip = \
136 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
137 am__nobase_list = $(am__nobase_strip_setup); \
138 for p in $$list; do echo "$$p $$p"; done | \
139 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
140 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
141 if (++n[$$2] == $(am__install_max)) \
142 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
143 END { for (dir in files) print dir, files[dir] }'
144 am__base_list = \
145 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
146 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
147 am__uninstall_files_from_dir = { \
148 test -z "$$files" \
149 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
150 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
151 $(am__cd) "$$dir" && rm -f $$files; }; \
152 }
153 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)" \
154 "$(DESTDIR)$(ltdlincludedir)"
155 LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
156 dld_link_la_DEPENDENCIES =
157 am__dirstamp = $(am__leading_dot)dirstamp
158 am_dld_link_la_OBJECTS = loaders/dld_link.lo
159 dld_link_la_OBJECTS = $(am_dld_link_la_OBJECTS)
160 AM_V_lt = $(am__v_lt_@AM_V@)
161 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
162 am__v_lt_0 = --silent
163 am__v_lt_1 =
164 dld_link_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
165 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
166 $(dld_link_la_LDFLAGS) $(LDFLAGS) -o $@
167 am__DEPENDENCIES_1 =
168 dlopen_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
169 am_dlopen_la_OBJECTS = loaders/dlopen.lo
170 dlopen_la_OBJECTS = $(am_dlopen_la_OBJECTS)
171 dlopen_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
172 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
173 $(dlopen_la_LDFLAGS) $(LDFLAGS) -o $@
174 dyld_la_LIBADD =
175 am_dyld_la_OBJECTS = loaders/dyld.lo
176 dyld_la_OBJECTS = $(am_dyld_la_OBJECTS)
177 dyld_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
178 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
179 $(dyld_la_LDFLAGS) $(LDFLAGS) -o $@
180 am_libltdl_la_OBJECTS = loaders/libltdl_la-preopen.lo \
181 libltdl_la-lt__alloc.lo libltdl_la-lt_dlloader.lo \
182 libltdl_la-lt_error.lo libltdl_la-ltdl.lo libltdl_la-slist.lo
183 libltdl_la_OBJECTS = $(am_libltdl_la_OBJECTS)
184 libltdl_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
185 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
186 $(libltdl_la_LDFLAGS) $(LDFLAGS) -o $@
187 @INSTALL_LTDL_TRUE@am_libltdl_la_rpath = -rpath $(libdir)
188 am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
189 am__objects_1 = loaders/libltdlc_la-preopen.lo \
190 libltdlc_la-lt__alloc.lo libltdlc_la-lt_dlloader.lo \
191 libltdlc_la-lt_error.lo libltdlc_la-ltdl.lo \
192 libltdlc_la-slist.lo
193 am_libltdlc_la_OBJECTS = $(am__objects_1)
194 libltdlc_la_OBJECTS = $(am_libltdlc_la_OBJECTS)
195 libltdlc_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
196 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
197 $(libltdlc_la_LDFLAGS) $(LDFLAGS) -o $@
198 @CONVENIENCE_LTDL_TRUE@am_libltdlc_la_rpath =
199 load_add_on_la_LIBADD =
200 am_load_add_on_la_OBJECTS = loaders/load_add_on.lo
201 load_add_on_la_OBJECTS = $(am_load_add_on_la_OBJECTS)
202 load_add_on_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
203 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
204 $(AM_CFLAGS) $(CFLAGS) $(load_add_on_la_LDFLAGS) $(LDFLAGS) -o \
205 $@
206 loadlibrary_la_LIBADD =
207 am_loadlibrary_la_OBJECTS = loaders/loadlibrary.lo
208 loadlibrary_la_OBJECTS = $(am_loadlibrary_la_OBJECTS)
209 loadlibrary_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
210 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
211 $(AM_CFLAGS) $(CFLAGS) $(loadlibrary_la_LDFLAGS) $(LDFLAGS) -o \
212 $@
213 shl_load_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
214 am_shl_load_la_OBJECTS = loaders/shl_load.lo
215 shl_load_la_OBJECTS = $(am_shl_load_la_OBJECTS)
216 shl_load_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
217 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
218 $(shl_load_la_LDFLAGS) $(LDFLAGS) -o $@
219 AM_V_P = $(am__v_P_@AM_V@)
220 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
221 am__v_P_0 = false
222 am__v_P_1 = :
223 AM_V_GEN = $(am__v_GEN_@AM_V@)
224 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
225 am__v_GEN_0 = @echo " GEN " $@;
226 am__v_GEN_1 =
227 AM_V_at = $(am__v_at_@AM_V@)
228 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
229 am__v_at_0 = @
230 am__v_at_1 =
231 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
232 depcomp = $(SHELL) $(top_srcdir)/depcomp
233 am__depfiles_maybe = depfiles
234 am__mv = mv -f
235 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
236 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
237 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
238 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
239 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
240 $(AM_CFLAGS) $(CFLAGS)
241 AM_V_CC = $(am__v_CC_@AM_V@)
242 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
243 am__v_CC_0 = @echo " CC " $@;
244 am__v_CC_1 =
245 CCLD = $(CC)
246 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
247 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
248 $(AM_LDFLAGS) $(LDFLAGS) -o $@
249 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
250 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
251 am__v_CCLD_0 = @echo " CCLD " $@;
252 am__v_CCLD_1 =
253 SOURCES = $(dld_link_la_SOURCES) $(dlopen_la_SOURCES) \
254 $(dyld_la_SOURCES) $(libltdl_la_SOURCES) \
255 $(libltdlc_la_SOURCES) $(load_add_on_la_SOURCES) \
256 $(loadlibrary_la_SOURCES) $(shl_load_la_SOURCES)
257 DIST_SOURCES = $(dld_link_la_SOURCES) $(dlopen_la_SOURCES) \
258 $(dyld_la_SOURCES) $(libltdl_la_SOURCES) \
259 $(libltdlc_la_SOURCES) $(load_add_on_la_SOURCES) \
260 $(loadlibrary_la_SOURCES) $(shl_load_la_SOURCES)
261 am__can_run_installinfo = \
262 case $$AM_UPDATE_INFO_DIR in \
263 n|no|NO) false;; \
264 *) (install-info --version) >/dev/null 2>&1;; \
265 esac
266 am__include_HEADERS_DIST = ltdl.h
267 am__ltdlinclude_HEADERS_DIST = libltdl/lt_system.h libltdl/lt_error.h \
268 libltdl/lt_dlloader.h
269 HEADERS = $(include_HEADERS) $(ltdlinclude_HEADERS)
270 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
271 # Read a list of newline-separated strings from the standard input,
272 # and print each of them once, without duplicates. Input order is
273 # *not* preserved.
274 am__uniquify_input = $(AWK) '\
275 BEGIN { nonempty = 0; } \
276 { items[$$0] = 1; nonempty = 1; } \
277 END { if (nonempty) { for (i in items) print i; }; } \
278 '
279 # Make sure the list of sources is unique. This is necessary because,
280 # e.g., the same source file might be shared among _SOURCES variables
281 # for different programs/libraries.
282 am__define_uniq_tagged_files = \
283 list='$(am__tagged_files)'; \
284 unique=`for i in $$list; do \
285 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
286 done | $(am__uniquify_input)`
287 ETAGS = etags
288 CTAGS = ctags
289 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
290 COPYING.LIB README
291 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
292 ACLOCAL = @ACLOCAL@
293 AMTAR = @AMTAR@
294 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
295 AR = @AR@
296 AUTOCONF = @AUTOCONF@
297 AUTOHEADER = @AUTOHEADER@
298 AUTOMAKE = @AUTOMAKE@
299 AWK = @AWK@
300 CC = @CC@
301 CCDEPMODE = @CCDEPMODE@
302 CFLAGS = @CFLAGS@
303 CPP = @CPP@
304 CPPFLAGS = @CPPFLAGS@
305 CYGPATH_W = @CYGPATH_W@
306 DATADIR = @DATADIR@
307 DEFS = @DEFS@
308 DEPDIR = @DEPDIR@
309 DLLTOOL = @DLLTOOL@
310 DSYMUTIL = @DSYMUTIL@
311 DUMPBIN = @DUMPBIN@
312 ECHO_C = @ECHO_C@
313 ECHO_N = @ECHO_N@
314 ECHO_T = @ECHO_T@
315 EGREP = @EGREP@
316 EXEEXT = @EXEEXT@
317 FGREP = @FGREP@
318 GREP = @GREP@
319 INCLTDL = @INCLTDL@
320 INSTALL = @INSTALL@
321 INSTALL_DATA = @INSTALL_DATA@
322 INSTALL_PROGRAM = @INSTALL_PROGRAM@
323 INSTALL_SCRIPT = @INSTALL_SCRIPT@
324 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
325 LD = @LD@
326 LDFLAGS = @LDFLAGS@
327 LEX = @LEX@
328 LEXLIB = @LEXLIB@
329 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
330 LIBADD_DL = @LIBADD_DL@
331 LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
332 LIBADD_DLOPEN = @LIBADD_DLOPEN@
333 LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
334 LIBDIR = @LIBDIR@
335 LIBLTDL = @LIBLTDL@
336 LIBOBJS = @LIBOBJS@
337 LIBS = @LIBS@
338 LIBTOOL = @LIBTOOL@
339 LIPO = @LIPO@
340 LN_S = @LN_S@
341 LOCALSTATEDIR = @LOCALSTATEDIR@
342 LTDLDEPS = @LTDLDEPS@
343 LTDLINCL = @LTDLINCL@
344 LTDLOPEN = @LTDLOPEN@
345 LTLIBOBJS = @LTLIBOBJS@
346 LT_ARGZ_H = @LT_ARGZ_H@
347 LT_CONFIG_H = @LT_CONFIG_H@
348 LT_DLLOADERS = @LT_DLLOADERS@
349 LT_DLPREOPEN = @LT_DLPREOPEN@
350 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
351 MAINT = @MAINT@
352 MAKEINFO = @MAKEINFO@
353 MANIFEST_TOOL = @MANIFEST_TOOL@
354 MKDIR_P = @MKDIR_P@
355 NM = @NM@
356 NMEDIT = @NMEDIT@
357 OBJDUMP = @OBJDUMP@
358 OBJEXT = @OBJEXT@
359 OTOOL = @OTOOL@
360 OTOOL64 = @OTOOL64@
361 PACKAGE = @PACKAGE@
362 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
363 PACKAGE_NAME = @PACKAGE_NAME@
364 PACKAGE_STRING = @PACKAGE_STRING@
365 PACKAGE_TARNAME = @PACKAGE_TARNAME@
366 PACKAGE_URL = @PACKAGE_URL@
367 PACKAGE_VERSION = @PACKAGE_VERSION@
368 PATH_SEPARATOR = @PATH_SEPARATOR@
369 PREFIX = @PREFIX@
370 RANLIB = @RANLIB@
371 SED = @SED@
372 SET_MAKE = @SET_MAKE@
373 SHELL = @SHELL@
374 STRIP = @STRIP@
375 SYSCONFDIR = @SYSCONFDIR@
376 VERSION = @VERSION@
377 YACC = @YACC@
378 YFLAGS = @YFLAGS@
379 abs_builddir = @abs_builddir@
380 abs_srcdir = @abs_srcdir@
381 abs_top_builddir = @abs_top_builddir@
382 abs_top_srcdir = @abs_top_srcdir@
383 ac_ct_AR = @ac_ct_AR@
384 ac_ct_CC = @ac_ct_CC@
385 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
386 am__include = @am__include@
387 am__leading_dot = @am__leading_dot@
388 am__quote = @am__quote@
389 am__tar = @am__tar@
390 am__untar = @am__untar@
391 bindir = @bindir@
392 build = @build@
393 build_alias = @build_alias@
394 build_cpu = @build_cpu@
395 build_os = @build_os@
396 build_vendor = @build_vendor@
397 builddir = @builddir@
398 datadir = @datadir@
399 datarootdir = @datarootdir@
400 docdir = @docdir@
401 dvidir = @dvidir@
402 exec_prefix = @exec_prefix@
403 host = @host@
404 host_alias = @host_alias@
405 host_cpu = @host_cpu@
406 host_os = @host_os@
407 host_vendor = @host_vendor@
408 htmldir = @htmldir@
409 includedir = @includedir@
410 infodir = @infodir@
411 install_sh = @install_sh@
412 libdir = @libdir@
413 libexecdir = @libexecdir@
414 localedir = @localedir@
415 localstatedir = @localstatedir@
416 ltdl_LIBOBJS = @ltdl_LIBOBJS@
417 ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
418 mandir = @mandir@
419 mkdir_p = @mkdir_p@
420 oldincludedir = @oldincludedir@
421 pdfdir = @pdfdir@
422 prefix = @prefix@
423 program_transform_name = @program_transform_name@
424 psdir = @psdir@
425 sbindir = @sbindir@
426 sharedstatedir = @sharedstatedir@
427 srcdir = @srcdir@
428 sys_symbol_underscore = @sys_symbol_underscore@
429 sysconfdir = @sysconfdir@
430 target_alias = @target_alias@
431 top_build_prefix = @top_build_prefix@
432 top_builddir = @top_builddir@
433 top_srcdir = @top_srcdir@
434 ACLOCAL_AMFLAGS = -I ../m4
435 AUTOMAKE_OPTIONS = foreign
436
437 # -I$(srcdir) is needed for user that built libltdl with a sub-Automake
438 # (not as a sub-package!) using 'nostdinc':
439 AM_CPPFLAGS = -DLT_CONFIG_H='<$(LT_CONFIG_H)>' -DLTDL -I. -I$(srcdir) \
440 -Ilibltdl -I$(srcdir)/libltdl
441 AM_LDFLAGS = -no-undefined
442 BUILT_SOURCES = libltdl/$(LT_ARGZ_H)
443 include_HEADERS = $(am__append_1)
444 noinst_LTLIBRARIES = $(LT_DLLOADERS) $(am__append_3)
445 lib_LTLIBRARIES = $(am__append_2)
446 EXTRA_LTLIBRARIES = dlopen.la dld_link.la dyld.la load_add_on.la \
447 loadlibrary.la shl_load.la
448 EXTRA_DIST = lt__dirent.c lt__strl.c COPYING.LIB README \
449 libltdl/lt__argz_.h lt__argz.c
450 CLEANFILES = libltdl.la libltdlc.la libdlloader.la $(ltdl_LIBOBJS) \
451 $(ltdl_LTLIBOBJS)
452 MOSTLYCLEANFILES = libltdl/lt__argz.h libltdl/lt__argz.h-t
453 LTDL_VERSION_INFO = -version-info 10:1:3
454 @INSTALL_LTDL_TRUE@ltdlincludedir = $(includedir)/libltdl
455 @INSTALL_LTDL_TRUE@ltdlinclude_HEADERS = libltdl/lt_system.h \
456 @INSTALL_LTDL_TRUE@ libltdl/lt_error.h \
457 @INSTALL_LTDL_TRUE@ libltdl/lt_dlloader.h
458
459 libltdl_la_SOURCES = libltdl/lt__alloc.h \
460 libltdl/lt__dirent.h \
461 libltdl/lt__glibc.h \
462 libltdl/lt__private.h \
463 libltdl/lt__strl.h \
464 libltdl/lt_dlloader.h \
465 libltdl/lt_error.h \
466 libltdl/lt_system.h \
467 libltdl/slist.h \
468 loaders/preopen.c \
469 lt__alloc.c \
470 lt_dlloader.c \
471 lt_error.c \
472 ltdl.c \
473 ltdl.h \
474 slist.c
475
476 libltdl_la_CPPFLAGS = -DLTDLOPEN=$(LTDLOPEN) $(AM_CPPFLAGS)
477 libltdl_la_LDFLAGS = $(AM_LDFLAGS) $(LTDL_VERSION_INFO) $(LT_DLPREOPEN)
478 libltdl_la_LIBADD = $(ltdl_LTLIBOBJS)
479 libltdl_la_DEPENDENCIES = $(LT_DLLOADERS) $(ltdl_LTLIBOBJS)
480 libltdlc_la_SOURCES = $(libltdl_la_SOURCES)
481 libltdlc_la_CPPFLAGS = -DLTDLOPEN=$(LTDLOPEN)c $(AM_CPPFLAGS)
482 libltdlc_la_LDFLAGS = $(AM_LDFLAGS) $(LT_DLPREOPEN)
483 libltdlc_la_LIBADD = $(libltdl_la_LIBADD)
484 libltdlc_la_DEPENDENCIES = $(libltdl_la_DEPENDENCIES)
485 dlopen_la_SOURCES = loaders/dlopen.c
486 dlopen_la_LDFLAGS = -module -avoid-version
487 dlopen_la_LIBADD = $(LIBADD_DLOPEN)
488 dld_link_la_SOURCES = loaders/dld_link.c
489 dld_link_la_LDFLAGS = -module -avoid-version
490 dld_link_la_LIBADD = -ldld
491 dyld_la_SOURCES = loaders/dyld.c
492 dyld_la_LDFLAGS = -module -avoid-version
493 load_add_on_la_SOURCES = loaders/load_add_on.c
494 load_add_on_la_LDFLAGS = -module -avoid-version
495 loadlibrary_la_SOURCES = loaders/loadlibrary.c
496 loadlibrary_la_LDFLAGS = -module -avoid-version
497 shl_load_la_SOURCES = loaders/shl_load.c
498 shl_load_la_LDFLAGS = -module -avoid-version
499 shl_load_la_LIBADD = $(LIBADD_SHL_LOAD)
500 all: $(BUILT_SOURCES)
501 $(MAKE) $(AM_MAKEFLAGS) all-am
502
503 .SUFFIXES:
504 .SUFFIXES: .c .lo .o .obj
505 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
506 @for dep in $?; do \
507 case '$(am__configure_deps)' in \
508 *$$dep*) \
509 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
510 && { if test -f $@; then exit 0; else break; fi; }; \
511 exit 1;; \
512 esac; \
513 done; \
514 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign libltdl/Makefile'; \
515 $(am__cd) $(top_srcdir) && \
516 $(AUTOMAKE) --foreign libltdl/Makefile
517 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
518 @case '$?' in \
519 *config.status*) \
520 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
521 *) \
522 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
523 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
524 esac;
525
526 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
527 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
528
529 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
530 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
531 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
532 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
533 $(am__aclocal_m4_deps):
534
535 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
536 @$(NORMAL_INSTALL)
537 @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
538 list2=; for p in $$list; do \
539 if test -f $$p; then \
540 list2="$$list2 $$p"; \
541 else :; fi; \
542 done; \
543 test -z "$$list2" || { \
544 echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
545 $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
546 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
547 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
548 }
549
550 uninstall-libLTLIBRARIES:
551 @$(NORMAL_UNINSTALL)
552 @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
553 for p in $$list; do \
554 $(am__strip_dir) \
555 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
556 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
557 done
558
559 clean-libLTLIBRARIES:
560 -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
561 @list='$(lib_LTLIBRARIES)'; \
562 locs=`for p in $$list; do echo $$p; done | \
563 sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
564 sort -u`; \
565 test -z "$$locs" || { \
566 echo rm -f $${locs}; \
567 rm -f $${locs}; \
568 }
569
570 clean-noinstLTLIBRARIES:
571 -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
572 @list='$(noinst_LTLIBRARIES)'; \
573 locs=`for p in $$list; do echo $$p; done | \
574 sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
575 sort -u`; \
576 test -z "$$locs" || { \
577 echo rm -f $${locs}; \
578 rm -f $${locs}; \
579 }
580 loaders/$(am__dirstamp):
581 @$(MKDIR_P) loaders
582 @: > loaders/$(am__dirstamp)
583 loaders/$(DEPDIR)/$(am__dirstamp):
584 @$(MKDIR_P) loaders/$(DEPDIR)
585 @: > loaders/$(DEPDIR)/$(am__dirstamp)
586 loaders/dld_link.lo: loaders/$(am__dirstamp) \
587 loaders/$(DEPDIR)/$(am__dirstamp)
588
589 dld_link.la: $(dld_link_la_OBJECTS) $(dld_link_la_DEPENDENCIES) $(EXTRA_dld_link_la_DEPENDENCIES)
590 $(AM_V_CCLD)$(dld_link_la_LINK) $(dld_link_la_OBJECTS) $(dld_link_la_LIBADD) $(LIBS)
591 loaders/dlopen.lo: loaders/$(am__dirstamp) \
592 loaders/$(DEPDIR)/$(am__dirstamp)
593
594 dlopen.la: $(dlopen_la_OBJECTS) $(dlopen_la_DEPENDENCIES) $(EXTRA_dlopen_la_DEPENDENCIES)
595 $(AM_V_CCLD)$(dlopen_la_LINK) $(dlopen_la_OBJECTS) $(dlopen_la_LIBADD) $(LIBS)
596 loaders/dyld.lo: loaders/$(am__dirstamp) \
597 loaders/$(DEPDIR)/$(am__dirstamp)
598
599 dyld.la: $(dyld_la_OBJECTS) $(dyld_la_DEPENDENCIES) $(EXTRA_dyld_la_DEPENDENCIES)
600 $(AM_V_CCLD)$(dyld_la_LINK) $(dyld_la_OBJECTS) $(dyld_la_LIBADD) $(LIBS)
601 loaders/libltdl_la-preopen.lo: loaders/$(am__dirstamp) \
602 loaders/$(DEPDIR)/$(am__dirstamp)
603
604 libltdl.la: $(libltdl_la_OBJECTS) $(libltdl_la_DEPENDENCIES) $(EXTRA_libltdl_la_DEPENDENCIES)
605 $(AM_V_CCLD)$(libltdl_la_LINK) $(am_libltdl_la_rpath) $(libltdl_la_OBJECTS) $(libltdl_la_LIBADD) $(LIBS)
606 loaders/libltdlc_la-preopen.lo: loaders/$(am__dirstamp) \
607 loaders/$(DEPDIR)/$(am__dirstamp)
608
609 libltdlc.la: $(libltdlc_la_OBJECTS) $(libltdlc_la_DEPENDENCIES) $(EXTRA_libltdlc_la_DEPENDENCIES)
610 $(AM_V_CCLD)$(libltdlc_la_LINK) $(am_libltdlc_la_rpath) $(libltdlc_la_OBJECTS) $(libltdlc_la_LIBADD) $(LIBS)
611 loaders/load_add_on.lo: loaders/$(am__dirstamp) \
612 loaders/$(DEPDIR)/$(am__dirstamp)
613
614 load_add_on.la: $(load_add_on_la_OBJECTS) $(load_add_on_la_DEPENDENCIES) $(EXTRA_load_add_on_la_DEPENDENCIES)
615 $(AM_V_CCLD)$(load_add_on_la_LINK) $(load_add_on_la_OBJECTS) $(load_add_on_la_LIBADD) $(LIBS)
616 loaders/loadlibrary.lo: loaders/$(am__dirstamp) \
617 loaders/$(DEPDIR)/$(am__dirstamp)
618
619 loadlibrary.la: $(loadlibrary_la_OBJECTS) $(loadlibrary_la_DEPENDENCIES) $(EXTRA_loadlibrary_la_DEPENDENCIES)
620 $(AM_V_CCLD)$(loadlibrary_la_LINK) $(loadlibrary_la_OBJECTS) $(loadlibrary_la_LIBADD) $(LIBS)
621 loaders/shl_load.lo: loaders/$(am__dirstamp) \
622 loaders/$(DEPDIR)/$(am__dirstamp)
623
624 shl_load.la: $(shl_load_la_OBJECTS) $(shl_load_la_DEPENDENCIES) $(EXTRA_shl_load_la_DEPENDENCIES)
625 $(AM_V_CCLD)$(shl_load_la_LINK) $(shl_load_la_OBJECTS) $(shl_load_la_LIBADD) $(LIBS)
626
627 mostlyclean-compile:
628 -rm -f *.$(OBJEXT)
629 -rm -f loaders/*.$(OBJEXT)
630 -rm -f loaders/*.lo
631
632 distclean-compile:
633 -rm -f *.tab.c
634
635 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-lt__alloc.Plo@am__quote@
636 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-lt_dlloader.Plo@am__quote@
637 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-lt_error.Plo@am__quote@
638 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-ltdl.Plo@am__quote@
639 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-slist.Plo@am__quote@
640 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-lt__alloc.Plo@am__quote@
641 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-lt_dlloader.Plo@am__quote@
642 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-lt_error.Plo@am__quote@
643 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-ltdl.Plo@am__quote@
644 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-slist.Plo@am__quote@
645 @AMDEP_TRUE@@am__include@ @am__quote@loaders/$(DEPDIR)/dld_link.Plo@am__quote@
646 @AMDEP_TRUE@@am__include@ @am__quote@loaders/$(DEPDIR)/dlopen.Plo@am__quote@
647 @AMDEP_TRUE@@am__include@ @am__quote@loaders/$(DEPDIR)/dyld.Plo@am__quote@
648 @AMDEP_TRUE@@am__include@ @am__quote@loaders/$(DEPDIR)/libltdl_la-preopen.Plo@am__quote@
649 @AMDEP_TRUE@@am__include@ @am__quote@loaders/$(DEPDIR)/libltdlc_la-preopen.Plo@am__quote@
650 @AMDEP_TRUE@@am__include@ @am__quote@loaders/$(DEPDIR)/load_add_on.Plo@am__quote@
651 @AMDEP_TRUE@@am__include@ @am__quote@loaders/$(DEPDIR)/loadlibrary.Plo@am__quote@
652 @AMDEP_TRUE@@am__include@ @am__quote@loaders/$(DEPDIR)/shl_load.Plo@am__quote@
653
654 .c.o:
655 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
656 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
657 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
658 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
659 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
660 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
661
662 .c.obj:
663 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
664 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
665 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
666 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
668 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
669
670 .c.lo:
671 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
672 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
673 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
676 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
677
678 loaders/libltdl_la-preopen.lo: loaders/preopen.c
679 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT loaders/libltdl_la-preopen.lo -MD -MP -MF loaders/$(DEPDIR)/libltdl_la-preopen.Tpo -c -o loaders/libltdl_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
680 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) loaders/$(DEPDIR)/libltdl_la-preopen.Tpo loaders/$(DEPDIR)/libltdl_la-preopen.Plo
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='loaders/preopen.c' object='loaders/libltdl_la-preopen.lo' libtool=yes @AMDEPBACKSLASH@
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
683 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o loaders/libltdl_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
684
685 libltdl_la-lt__alloc.lo: lt__alloc.c
686 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-lt__alloc.lo -MD -MP -MF $(DEPDIR)/libltdl_la-lt__alloc.Tpo -c -o libltdl_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
687 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libltdl_la-lt__alloc.Tpo $(DEPDIR)/libltdl_la-lt__alloc.Plo
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='lt__alloc.c' object='libltdl_la-lt__alloc.lo' libtool=yes @AMDEPBACKSLASH@
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
690 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
691
692 libltdl_la-lt_dlloader.lo: lt_dlloader.c
693 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-lt_dlloader.lo -MD -MP -MF $(DEPDIR)/libltdl_la-lt_dlloader.Tpo -c -o libltdl_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
694 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libltdl_la-lt_dlloader.Tpo $(DEPDIR)/libltdl_la-lt_dlloader.Plo
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='lt_dlloader.c' object='libltdl_la-lt_dlloader.lo' libtool=yes @AMDEPBACKSLASH@
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
697 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
698
699 libltdl_la-lt_error.lo: lt_error.c
700 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-lt_error.lo -MD -MP -MF $(DEPDIR)/libltdl_la-lt_error.Tpo -c -o libltdl_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
701 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libltdl_la-lt_error.Tpo $(DEPDIR)/libltdl_la-lt_error.Plo
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='lt_error.c' object='libltdl_la-lt_error.lo' libtool=yes @AMDEPBACKSLASH@
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
704 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
705
706 libltdl_la-ltdl.lo: ltdl.c
707 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-ltdl.lo -MD -MP -MF $(DEPDIR)/libltdl_la-ltdl.Tpo -c -o libltdl_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
708 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libltdl_la-ltdl.Tpo $(DEPDIR)/libltdl_la-ltdl.Plo
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='ltdl.c' object='libltdl_la-ltdl.lo' libtool=yes @AMDEPBACKSLASH@
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
711 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
712
713 libltdl_la-slist.lo: slist.c
714 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-slist.lo -MD -MP -MF $(DEPDIR)/libltdl_la-slist.Tpo -c -o libltdl_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
715 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libltdl_la-slist.Tpo $(DEPDIR)/libltdl_la-slist.Plo
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='slist.c' object='libltdl_la-slist.lo' libtool=yes @AMDEPBACKSLASH@
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
718 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
719
720 loaders/libltdlc_la-preopen.lo: loaders/preopen.c
721 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT loaders/libltdlc_la-preopen.lo -MD -MP -MF loaders/$(DEPDIR)/libltdlc_la-preopen.Tpo -c -o loaders/libltdlc_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
722 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) loaders/$(DEPDIR)/libltdlc_la-preopen.Tpo loaders/$(DEPDIR)/libltdlc_la-preopen.Plo
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='loaders/preopen.c' object='loaders/libltdlc_la-preopen.lo' libtool=yes @AMDEPBACKSLASH@
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
725 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o loaders/libltdlc_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
726
727 libltdlc_la-lt__alloc.lo: lt__alloc.c
728 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-lt__alloc.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-lt__alloc.Tpo -c -o libltdlc_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
729 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libltdlc_la-lt__alloc.Tpo $(DEPDIR)/libltdlc_la-lt__alloc.Plo
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='lt__alloc.c' object='libltdlc_la-lt__alloc.lo' libtool=yes @AMDEPBACKSLASH@
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
732 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
733
734 libltdlc_la-lt_dlloader.lo: lt_dlloader.c
735 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-lt_dlloader.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-lt_dlloader.Tpo -c -o libltdlc_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
736 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libltdlc_la-lt_dlloader.Tpo $(DEPDIR)/libltdlc_la-lt_dlloader.Plo
737 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='lt_dlloader.c' object='libltdlc_la-lt_dlloader.lo' libtool=yes @AMDEPBACKSLASH@
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
739 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
740
741 libltdlc_la-lt_error.lo: lt_error.c
742 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-lt_error.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-lt_error.Tpo -c -o libltdlc_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
743 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libltdlc_la-lt_error.Tpo $(DEPDIR)/libltdlc_la-lt_error.Plo
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='lt_error.c' object='libltdlc_la-lt_error.lo' libtool=yes @AMDEPBACKSLASH@
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
746 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
747
748 libltdlc_la-ltdl.lo: ltdl.c
749 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-ltdl.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-ltdl.Tpo -c -o libltdlc_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
750 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libltdlc_la-ltdl.Tpo $(DEPDIR)/libltdlc_la-ltdl.Plo
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='ltdl.c' object='libltdlc_la-ltdl.lo' libtool=yes @AMDEPBACKSLASH@
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
753 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
754
755 libltdlc_la-slist.lo: slist.c
756 @am__fastdepCC_TRUE@ $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-slist.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-slist.Tpo -c -o libltdlc_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
757 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/libltdlc_la-slist.Tpo $(DEPDIR)/libltdlc_la-slist.Plo
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='slist.c' object='libltdlc_la-slist.lo' libtool=yes @AMDEPBACKSLASH@
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
760 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
761
762 mostlyclean-libtool:
763 -rm -f *.lo
764
765 clean-libtool:
766 -rm -rf .libs _libs
767 -rm -rf loaders/.libs loaders/_libs
768 install-includeHEADERS: $(include_HEADERS)
769 @$(NORMAL_INSTALL)
770 @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
771 if test -n "$$list"; then \
772 echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \
773 $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \
774 fi; \
775 for p in $$list; do \
776 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
777 echo "$$d$$p"; \
778 done | $(am__base_list) | \
779 while read files; do \
780 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
781 $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
782 done
783
784 uninstall-includeHEADERS:
785 @$(NORMAL_UNINSTALL)
786 @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
787 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
788 dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
789 install-ltdlincludeHEADERS: $(ltdlinclude_HEADERS)
790 @$(NORMAL_INSTALL)
791 @list='$(ltdlinclude_HEADERS)'; test -n "$(ltdlincludedir)" || list=; \
792 if test -n "$$list"; then \
793 echo " $(MKDIR_P) '$(DESTDIR)$(ltdlincludedir)'"; \
794 $(MKDIR_P) "$(DESTDIR)$(ltdlincludedir)" || exit 1; \
795 fi; \
796 for p in $$list; do \
797 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
798 echo "$$d$$p"; \
799 done | $(am__base_list) | \
800 while read files; do \
801 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(ltdlincludedir)'"; \
802 $(INSTALL_HEADER) $$files "$(DESTDIR)$(ltdlincludedir)" || exit $$?; \
803 done
804
805 uninstall-ltdlincludeHEADERS:
806 @$(NORMAL_UNINSTALL)
807 @list='$(ltdlinclude_HEADERS)'; test -n "$(ltdlincludedir)" || list=; \
808 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
809 dir='$(DESTDIR)$(ltdlincludedir)'; $(am__uninstall_files_from_dir)
810
811 ID: $(am__tagged_files)
812 $(am__define_uniq_tagged_files); mkid -fID $$unique
813 tags: tags-am
814 TAGS: tags
815
816 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
817 set x; \
818 here=`pwd`; \
819 $(am__define_uniq_tagged_files); \
820 shift; \
821 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
822 test -n "$$unique" || unique=$$empty_fix; \
823 if test $$# -gt 0; then \
824 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
825 "$$@" $$unique; \
826 else \
827 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
828 $$unique; \
829 fi; \
830 fi
831 ctags: ctags-am
832
833 CTAGS: ctags
834 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
835 $(am__define_uniq_tagged_files); \
836 test -z "$(CTAGS_ARGS)$$unique" \
837 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
838 $$unique
839
840 GTAGS:
841 here=`$(am__cd) $(top_builddir) && pwd` \
842 && $(am__cd) $(top_srcdir) \
843 && gtags -i $(GTAGS_ARGS) "$$here"
844 cscopelist: cscopelist-am
845
846 cscopelist-am: $(am__tagged_files)
847 list='$(am__tagged_files)'; \
848 case "$(srcdir)" in \
849 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
850 *) sdir=$(subdir)/$(srcdir) ;; \
851 esac; \
852 for i in $$list; do \
853 if test -f "$$i"; then \
854 echo "$(subdir)/$$i"; \
855 else \
856 echo "$$sdir/$$i"; \
857 fi; \
858 done >> $(top_builddir)/cscope.files
859
860 distclean-tags:
861 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
862
863 distdir: $(DISTFILES)
864 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
865 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
866 list='$(DISTFILES)'; \
867 dist_files=`for file in $$list; do echo $$file; done | \
868 sed -e "s|^$$srcdirstrip/||;t" \
869 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
870 case $$dist_files in \
871 */*) $(MKDIR_P) `echo "$$dist_files" | \
872 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
873 sort -u` ;; \
874 esac; \
875 for file in $$dist_files; do \
876 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
877 if test -d $$d/$$file; then \
878 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
879 if test -d "$(distdir)/$$file"; then \
880 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
881 fi; \
882 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
883 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
884 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
885 fi; \
886 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
887 else \
888 test -f "$(distdir)/$$file" \
889 || cp -p $$d/$$file "$(distdir)/$$file" \
890 || exit 1; \
891 fi; \
892 done
893 check-am: all-am
894 check: $(BUILT_SOURCES)
895 $(MAKE) $(AM_MAKEFLAGS) check-am
896 all-am: Makefile $(LTLIBRARIES) $(HEADERS)
897 installdirs:
898 for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)" "$(DESTDIR)$(ltdlincludedir)"; do \
899 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
900 done
901 install: $(BUILT_SOURCES)
902 $(MAKE) $(AM_MAKEFLAGS) install-am
903 install-exec: install-exec-am
904 install-data: install-data-am
905 uninstall: uninstall-am
906
907 install-am: all-am
908 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
909
910 installcheck: installcheck-am
911 install-strip:
912 if test -z '$(STRIP)'; then \
913 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
914 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
915 install; \
916 else \
917 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
918 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
919 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
920 fi
921 mostlyclean-generic:
922 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
923
924 clean-generic:
925 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
926
927 distclean-generic:
928 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
929 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
930 -rm -f loaders/$(DEPDIR)/$(am__dirstamp)
931 -rm -f loaders/$(am__dirstamp)
932
933 maintainer-clean-generic:
934 @echo "This command is intended for maintainers to use"
935 @echo "it deletes files that may require special tools to rebuild."
936 -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
937 clean: clean-am
938
939 clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
940 clean-noinstLTLIBRARIES mostlyclean-am
941
942 distclean: distclean-am
943 -rm -rf ./$(DEPDIR) loaders/$(DEPDIR)
944 -rm -f Makefile
945 distclean-am: clean-am distclean-compile distclean-generic \
946 distclean-tags
947
948 dvi: dvi-am
949
950 dvi-am:
951
952 html: html-am
953
954 html-am:
955
956 info: info-am
957
958 info-am:
959
960 install-data-am: install-includeHEADERS install-ltdlincludeHEADERS
961
962 install-dvi: install-dvi-am
963
964 install-dvi-am:
965
966 install-exec-am: install-libLTLIBRARIES
967
968 install-html: install-html-am
969
970 install-html-am:
971
972 install-info: install-info-am
973
974 install-info-am:
975
976 install-man:
977
978 install-pdf: install-pdf-am
979
980 install-pdf-am:
981
982 install-ps: install-ps-am
983
984 install-ps-am:
985
986 installcheck-am:
987
988 maintainer-clean: maintainer-clean-am
989 -rm -rf ./$(DEPDIR) loaders/$(DEPDIR)
990 -rm -f Makefile
991 maintainer-clean-am: distclean-am maintainer-clean-generic
992
993 mostlyclean: mostlyclean-am
994
995 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
996 mostlyclean-libtool
997
998 pdf: pdf-am
999
1000 pdf-am:
1001
1002 ps: ps-am
1003
1004 ps-am:
1005
1006 uninstall-am: uninstall-includeHEADERS uninstall-libLTLIBRARIES \
1007 uninstall-ltdlincludeHEADERS
1008
1009 .MAKE: all check install install-am install-strip
1010
1011 .PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
1012 clean-libLTLIBRARIES clean-libtool clean-noinstLTLIBRARIES \
1013 cscopelist-am ctags ctags-am distclean distclean-compile \
1014 distclean-generic distclean-libtool distclean-tags distdir dvi \
1015 dvi-am html html-am info info-am install install-am \
1016 install-data install-data-am install-dvi install-dvi-am \
1017 install-exec install-exec-am install-html install-html-am \
1018 install-includeHEADERS install-info install-info-am \
1019 install-libLTLIBRARIES install-ltdlincludeHEADERS install-man \
1020 install-pdf install-pdf-am install-ps install-ps-am \
1021 install-strip installcheck installcheck-am installdirs \
1022 maintainer-clean maintainer-clean-generic mostlyclean \
1023 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1024 pdf pdf-am ps ps-am tags tags-am uninstall uninstall-am \
1025 uninstall-includeHEADERS uninstall-libLTLIBRARIES \
1026 uninstall-ltdlincludeHEADERS
1027
1028 .PRECIOUS: Makefile
1029
1030
1031 # We need the following in order to create an <argz.h> when the system
1032 # doesn't have one that works with the given compiler.
1033 all-local $(lib_OBJECTS): $(LT_ARGZ_H)
1034 libltdl/lt__argz.h: libltdl/lt__argz_.h
1035 $(AM_V_at)$(mkinstalldirs) . libltdl
1036 $(AM_V_GEN)cp $(srcdir)/libltdl/lt__argz_.h $@-t
1037 $(AM_V_at)mv $@-t $@
1038
1039 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1040 # Otherwise a system limit (for SysV at least) may be exceeded.
1041 .NOEXPORT:

svnadmin@ircd-hybrid.org
ViewVC Help
Powered by ViewVC 1.1.28